@import url("variables.css");

/* ==========================
   General
========================== */

body {
  font-family: Farhang !important;
}

img {
  /* max-width: 100%; */
  /* display: block; */
}

.festival-block {
  margin: 60px 0 auto;
}

/* ==========================
   Gray Section
========================== */

.gray-section {
  position: relative;
  background: #d8d8d8;
  padding: 60px;
  overflow: hidden;
}

/* ==========================
   Green Section
========================== */

.green-box {
  background: var(--color-primary);
  color: #fff;
  padding: 0 65px 45px;
  position: relative;
  text-align: right;
}

.green-box h2 {
  color: #fff;
  font-size: 2.2rem;
  margin-bottom: 30px;
  position: relative;
}
.green-box p {
  font-size: 1.8rem;
}
/* ==========================
   Titles
========================== */
.title-center {
  width: fit-content;
  margin: auto;
  text-align: center;
}

.title-right {
  text-align: right;
}
/* ==========================
   One Leaf
========================== */
.leaf-left {
  /* width: fit-content; */
  position: relative;
  display: inline-block;
  padding-left: 40px;
}

.leaf-left::before {
  content: "";
  position: absolute;
  width: clamp(30px, 2.5vw, 40px);
  height: clamp(30px, 2.5vw, 40px);
  top: 50%;
  transform: translateY(-50%);
  left: -7px;
  background-image: url("../images/decoration/festivals/leaf2.png");
  background-repeat: no-repeat;
  background-size: contain;
}
/* ==========================
   Two Leaves
========================== */
.leaf-both {
  width: fit-content;
  position: relative;
}

.leaf-both::before,
.leaf-both::after {
  content: "";
  position: absolute;
  width: clamp(30px, 2.5vw, 40px);
  height: clamp(30px, 2.5vw, 40px);
  top: 50%;
  transform: translateY(-50%);
  background-size: contain;
  background-repeat: no-repeat;
}

.leaf-both::before {
  right: calc(100% + 15px);
  background-image: url("../images/decoration/festivals/leaf2.png");
}

.leaf-both::after {
  left: calc(100% + 15px);
  background-image: url("../images/decoration/festivals/leaf1.png");
}

/* ==========================
   Gallery
========================== */

.gallery {
  position: relative;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  z-index: 2;
}
.gallery .gallery-item {
  position: relative;
}
.gallery-item:hover {
  outline: 2px dashed #999;
}
.gallery img {
  width: 100%;
  height: 300px;
  object-fit: cover;
  border-radius: 25px;
  display: block;
}
/* ==========================
   Decorations
========================== */
/* gray circle block1*/
.block-1 .gray-section::after {
  content: "";
  position: absolute;
  width: clamp(200px, 14vw, 300px);
  aspect-ratio: 1;
  background-image: url("../images/decoration/festivals/decor4.png");
  background-size: contain;
  background-repeat: no-repeat;
  top: 50px;
  left: 30%;
  pointer-events: none;
  z-index: 1;
}

.block-1 .gray-section::before {
  content: "";
  position: absolute;
  width: clamp(100px, 14vw, 200px);
  aspect-ratio: 1;
  background-image: url("../images/decoration/festivals/decor4.png");
  background-size: contain;
  background-repeat: no-repeat;
  bottom: clamp(10px, 3vw, 40px);
  right: clamp(-35px, -4vw, -70px);
  pointer-events: none;
}
/* gray circle block2*/
.block-2 .gray-section::after {
  content: "";
  position: absolute;
  width: clamp(100px, 14vw, 200px);
  aspect-ratio: 1;
  background-image: url("../images/decoration/festivals/decor4.png");
  background-size: contain;
  background-repeat: no-repeat;
  top: 50px;
  left: 30%;
  pointer-events: none;
  z-index: 1;
}

.block-2 .gray-section::before {
  content: "";
  position: absolute;
  width: clamp(80px, 14vw, 200px);
  aspect-ratio: 1;
  background-image: url("../images/decoration/festivals/decor4.png");
  background-size: contain;
  background-repeat: no-repeat;
  bottom: clamp(10px, 3vw, 40px);
  right: clamp(-35px, -4vw, -70px);
  pointer-events: none;
}

.decor-none::before,
.decor-none::after {
  display: none;
}
.decor-orange-circle::before {
  content: "";
  position: absolute;
  width: 22px;
  height: 22px;
  top: -10px;
  left: 100px;
  background: url("../images/decoration/festivals/decor1.png") center / contain
    no-repeat;
  z-index: 2;
}
.decor-curved-line1::before {
  content: "";
  position: absolute;
  width: clamp(24px, 3vw, 40px);
  height: clamp(24px, 3vw, 40px);
  right: clamp(-10px, -1vw, -20px);
  bottom: clamp(10px, 2vw, 20px);
  background: url("../images/decoration/festivals/decor2.png") center / contain
    no-repeat;
  z-index: 2;
}
.decor-curved-line2::before {
  content: "";
  position: absolute;
  width: clamp(24px, 3vw, 40px);
  height: clamp(24px, 3vw, 40px);
  top: clamp(20px, -1vw, 40px);
  /* bottom: clamp(10px, 2vw, 20px); */
  left: clamp(-10px,-1vw,-20px);
  background: url("../images/decoration/festivals/decor3.png") center / contain
    no-repeat;
  z-index: 2;
}
/* ==========================
   Row & Col System
========================== */
.row {
  display: flex;
  gap: 20px;
}

.col {
  flex: 1;
}

.col-2 {
  width: 50%;
}

.col-3 {
  width: 33.333%;
}

.col-4 {
  width: 25%;
}

/* ==========================
   Image + Text
========================== */

.image-right,
.image-left {
  display: flex;
  gap: 30px;
  align-items: center;
}

.image-right img,
.image-left img {
  width: 40%;
}

.image-right .text,
.image-left .text {
  flex: 1;
}

.image-left {
  flex-direction: row-reverse;
}
/* ==========================
   Boxes
========================== */
.info-box {
  background: #f5f5f5;
  padding: 20px;
  border-radius: 20px;
}

.warning-box {
  background: #fff3cd;
  padding: 20px;
  border-radius: 20px;
}

/* ==========================
   Tables
========================== */

.responsive-table {
  width: 100%;
  border-collapse: collapse;
}

.responsive-table td {
  padding: 10px;
  vertical-align: top;
}
/* ==========================
   tablet
========================== */
@media (max-width: 992px) {
  .gallery {
    grid-template-columns: repeat(2, 1fr);
  }
}
/* ==========================
   Mobile
========================== */
@media (max-width: 768px) {
  .gallery {
    grid-template-columns: 1fr;
  }

  .gallery .gallery-item img {
    height: auto;
  }
  .row,
  .image-right,
  .image-left {
    flex-direction: column;
  }

  .col,
  .col-2,
  .col-3,
  .col-4 {
    width: 100%;
  }

  .image-right img,
  .image-left img {
    width: 100%;
  }

  .leaf-both::before,
  .leaf-both::after,
  .leaf-left::after {
    width: 28px;
    height: 28px;
  }
  .title-center,
  .title-right {
    font-size: 1.8rem !important;
  }
  .green-box p {
    font-size: 1.6rem;
  }
}
